Graph API 版本

Oembed Video

On April 8, 2025, we introduced a new oEmbed feature, Meta oEmbed Read to replace the existing oEmbed Read feature. The current oEmbed Read feature will be deprecated on November 3, 2025.

  • Apps created after April 8, 2025 that implement oEmbed will use the new Meta oEmbed Read feature.
  • Existing apps that already use the current oEmbed Read feature will be automatically updated to the new Meta oEmbed Read feature by November 3, 2025.

The following fields are no longer returned and will be fully deprecated on November 3, 2025:

  • author_name
  • author_url
  • thumbnail_height
  • thumbnail_url
  • thumbnail_width

Read the oEmbed Updates blog post from Meta to learn more.

閱讀中

OembedVideo

例子

Graph API Explorer
GET /v25.0/oembed_video HTTP/1.1
Host: graph.facebook.com
/* PHP SDK v5.0.0 */
/* make the API call */
try {
  // Returns a `Facebook\FacebookResponse` object
  $response = $fb->get(
    '/oembed_video',
    '{access-token}'
  );
} catch(Facebook\Exceptions\FacebookResponseException $e) {
  echo 'Graph returned an error: ' . $e->getMessage();
  exit;
} catch(Facebook\Exceptions\FacebookSDKException $e) {
  echo 'Facebook SDK returned an error: ' . $e->getMessage();
  exit;
}
$graphNode = $response->getGraphNode();
/* handle the result */
/* make the API call */
FB.api(
    "/oembed_video",
    function (response) {
      if (response && !response.error) {
        /* handle the result */
      }
    }
);
/* make the API call */
new GraphRequest(
    AccessToken.getCurrentAccessToken(),
    "/oembed_video",
    null,
    HttpMethod.GET,
    new GraphRequest.Callback() {
        public void onCompleted(GraphResponse response) {
            /* handle the result */
        }
    }
).executeAsync();
/* make the API call */
FBSDKGraphRequest *request = [[FBSDKGraphRequest alloc]
                               initWithGraphPath:@"/oembed_video"
                                      parameters:params
                                      HTTPMethod:@"GET"];
[request startWithCompletionHandler:^(FBSDKGraphRequestConnection *connection,
                                      id result,
                                      NSError *error) {
    // Handle the result
}];
如果想了解如何使用 Graph API,請參閱我們的使用 Graph API 指南

參數

參數描述
maxwidth
int64

maxwidth

omitscript
boolean
預設值:false

omitscript

sdklocale
string

sdklocale

url
URI

url

必填
useiframe
boolean
預設值:false

useiframe

欄位

欄位描述
height
int32

height

html
string

html

provider_name
string

provider_name

provider_url
string

provider_url

type
string

type

version
string

version

width
int32

width

Error Codes

錯誤說明
200Permissions error
100Invalid parameter
190Invalid OAuth 2.0 Access Token

建立中

你無法在此端點執行此操作。

更新中

你無法在此端點執行此操作。

正在刪除

你無法在此端點執行此操作。